<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>VoiceSkin (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VoiceSkin (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceSkin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/VoicePackage.TravelMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceSkin.html" target="_top">Frames</a></li>
<li><a href="VoiceSkin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.guidance</div>
<h2 title="Class VoiceSkin" class="title">Class VoiceSkin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.guidance.VoiceSkin</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">VoiceSkin</span>
extends java.lang.Object</pre>
<div class="block">Defines a voice skin used for guidance.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance">VoiceSkin.OutputType</a></span></code>
<div class="block">Voice Skin Output Types</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#delete--">delete</a></span>()</code>
<div class="block">Delete the voice skin from the device</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getDescription--">getDescription</a></span>()</code>
<div class="block">Get the human readable description of the voice skin.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getGender--">getGender</a></span>()</code>
<div class="block">Gets the gender of the voice skin: "f" female, "m" male.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getId--">getId</a></span>()</code>
<div class="block">Get the voice skin identifier.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getLanguage--">getLanguage</a></span>()</code>
<div class="block">Get the human readable language name of the voice skin.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getLanguageCode--">getLanguageCode</a></span>()</code>
<div class="block">Returns language code in BCP-47 format: language-COUNTRY</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getMarcCode--">getMarcCode</a></span>()</code>
<div class="block">Get the international MARC code describing the language of the voice skin (see
 http://www.loc.gov/marc/languages).</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance">VoiceSkin.OutputType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getOutputType--">getOutputType</a></span>()</code>
<div class="block">Get the voice skin output voice type.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getQuality--">getQuality</a></span>()</code>
<div class="block">Get the text description of the voice skin quality</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getSpeaker--">getSpeaker</a></span>()</code>
<div class="block">Get the speaker of the voice skin.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.html#getVersion--">getVersion</a></span>()</code>
<div class="block">Get the version number string of the voice skin.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="delete--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delete</h4>
<pre>public boolean delete()</pre>
<div class="block">Delete the voice skin from the device</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if deletion was successful, false otherwise</dd>
</dl>
</li>
</ul>
<a name="getDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescription</h4>
<pre>public java.lang.String getDescription()</pre>
<div class="block">Get the human readable description of the voice skin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The description, e.g. "English Female".</dd>
</dl>
</li>
</ul>
<a name="getGender--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGender</h4>
<pre>public java.lang.String getGender()</pre>
<div class="block">Gets the gender of the voice skin: "f" female, "m" male.

 <p>Note: if the voice skin is a TTS voice skin, then the gender is only a suggestion. The
 current Android TTS engine does not support switching voice genders. Clients that use
 third-party engines that support genders may use this API as a suggestion.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>"f" if female, "m" if male.</dd>
</dl>
</li>
</ul>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public long getId()</pre>
<div class="block">Get the voice skin identifier.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The voice skin identifier.</dd>
</dl>
</li>
</ul>
<a name="getLanguage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguage</h4>
<pre>public java.lang.String getLanguage()</pre>
<div class="block">Get the human readable language name of the voice skin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The language name, e.g. "English".</dd>
</dl>
</li>
</ul>
<a name="getMarcCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarcCode</h4>
<pre>public java.lang.String getMarcCode()</pre>
<div class="block">Get the international MARC code describing the language of the voice skin (see
 http://www.loc.gov/marc/languages).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The MARC code, e.g. "eng".</dd>
</dl>
</li>
</ul>
<a name="getLanguageCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguageCode</h4>
<pre>public java.lang.String getLanguageCode()</pre>
<div class="block">Returns language code in BCP-47 format: language-COUNTRY</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>language code in BCP-47 format</dd>
</dl>
</li>
</ul>
<a name="getOutputType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputType</h4>
<pre>public <a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance">VoiceSkin.OutputType</a> getOutputType()</pre>
<div class="block">Get the voice skin output voice type.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The voice skin output voice type.</dd>
</dl>
</li>
</ul>
<a name="getSpeaker--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpeaker</h4>
<pre>public java.lang.String getSpeaker()</pre>
<div class="block">Get the speaker of the voice skin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name of the speaker.</dd>
</dl>
</li>
</ul>
<a name="getVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVersion</h4>
<pre>public java.lang.String getVersion()</pre>
<div class="block">Get the version number string of the voice skin.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The version number, e.g. "0.2.0.0".</dd>
</dl>
</li>
</ul>
<a name="getQuality--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getQuality</h4>
<pre>public java.lang.String getQuality()</pre>
<div class="block">Get the text description of the voice skin quality</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>text description of the voice skin quality, this field can be empty if
         no quality information is available.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VoiceSkin.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/guidance/VoicePackage.TravelMode.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/guidance/VoiceSkin.OutputType.html" title="enum in com.here.android.mpa.guidance"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/guidance/VoiceSkin.html" target="_top">Frames</a></li>
<li><a href="VoiceSkin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
